Markdown::HTMLRenderer -

# class Markdown::HTMLRenderer

- Markdown::HTMLRenderer
- Reference
- Object

## Included Modules

- Markdown::Renderer

## Defined in:

## Constructors

- .new(io : IO)

## Instance Method Summary

- #begin_bold
- #begin_code(language)
- #begin_header(level)
- #begin_inline_code
- #begin_italic
- #begin_link(url)
- #begin_list_item
- #begin_ordered_list
- #begin_paragraph
- #begin_quote
- #begin_unordered_list
- #end_bold
- #end_code
- #end_header(level)
- #end_inline_code
- #end_italic
- #end_link
- #end_list_item
- #end_ordered_list
- #end_paragraph
- #end_quote
- #end_unordered_list
- #horizontal_rule
- #image(url, alt)
- #text(text)

### Instance methods inherited from module `Markdown::Renderer`

begin_bold begin_bold, begin_code(language) begin_code, begin_header(level) begin_header, begin_inline_code begin_inline_code, begin_italic begin_italic, begin_link(url) begin_link, begin_list_item begin_list_item, begin_ordered_list begin_ordered_list, begin_paragraph begin_paragraph, begin_quote begin_quote, begin_unordered_list begin_unordered_list, end_bold end_bold, end_code end_code, end_header(level) end_header, end_inline_code end_inline_code, end_italic end_italic, end_link end_link, end_list_item end_list_item, end_ordered_list end_ordered_list, end_paragraph end_paragraph, end_quote end_quote, end_unordered_list end_unordered_list, horizontal_rule horizontal_rule, image(url, alt) image, text(text) text

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(io : IO) #

## Instance Method Detail

def begin_bold #
def begin_code(language) #
def begin_header(level) #
def begin_inline_code #
def begin_italic #
def begin_link(url) #
def begin_list_item #
def begin_ordered_list #
def begin_paragraph #
def begin_quote #
def begin_unordered_list #
def end_bold #
def end_code #
def end_header(level) #
def end_inline_code #
def end_italic #
def end_link #
def end_list_item #
def end_ordered_list #
def end_paragraph #
def end_quote #
def end_unordered_list #
def horizontal_rule #
def image(url, alt) #
def text(text) #